<br />

{if $success}
    {if ($ps_version == '1.6') OR ($ps_version == '1.7')}
        <div class="bootstrap">
            <div class="alert alert-success">
                <button class="close" data-dismiss="alert" type="button">X</button>
                {$success}
            </div>
        </div>
    {else}
        <div class="conf">{$success}</div>
    {/if}
{/if}
{if $error_warning}
    {if ($ps_version == '1.6') OR ($ps_version == '1.7')}
        <div class="bootstrap">
            <div class="alert alert-danger">
                <button class="close" data-dismiss="alert" type="button">X</button>
                {$error_warning}
            </div>
        </div>
    {else}
        <div class="error">{$error_warning}</div>
    {/if}
{/if}
{if $error_currency}
    {if ($ps_version == '1.6') OR ($ps_version == '1.7')}
        <div class="bootstrap">
            <div class="alert alert-danger">
                <button class="close" data-dismiss="alert" type="button">X</button>
                {$error_currency}
            </div>
        </div>
    {else}
        <div class="error">{$error_currency}</div>
    {/if}
{/if}

{if !$error_currency}
    <fieldset>
        <legend><img src="../img/admin/cog.gif" alt="" />{l s='Настройки' mod='speedy'}</legend>
        <form action="{$action}" method="post" enctype="multipart/form-data" id="form">
            <table id="speedy_configuration">
                <tr>
                    <td><label for="speedy_version">{l s='Версия на модула за доставка:' mod='speedy'}</label></td>
                    <td><span>{$speedy_version}<span></td>
                </tr>
                <tr>
                    <td><label for="speedy_server_address">{l s='Адрес на сървъра:' mod='speedy'}</label></td>
                    <td><input type="text" id="speedy_server_address" name="speedy_server_address" value="{$speedy_server_address}" /></td>
                </tr>
                <tr>
                    <td><span class="speedy_required"></span> <label for="speedy_username">{l s='Потребителско име:' mod='speedy'}</label></td>
                    <td>
                        <input type="text" id="speedy_username" name="speedy_username" value="{$speedy_username}" />
                        {if $error_username}
                            <span class="speedy_error">{$error_username}</span>
                        {/if}
                    </td>
                </tr>
                <tr>
                    <td><span class="speedy_required"></span> <label for="speedy_password">{l s='Парола:' mod='speedy'}</label></td>
                    <td>
                        <input type="password" id="speedy_password" name="speedy_password" value="{$speedy_password}" />
                        {if $error_password}
                            <span class="speedy_error">{$error_password}</span>
                        {/if}
                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td><a onclick="checkSpeedyCredentials();
                            return false;" id="speedy_check_credentials" class="button">{l s='Тест на настройките' mod='speedy'}</a></td>
                </tr>
                <tr>
                    <td><span class="speedy_required"></span> <label for="speedy_name">{l s='Лице за контакти:' mod='speedy'}</label></td>
                    <td>
                        <input type="text" id="speedy_name" name="speedy_name" value="{$speedy_name}" />
                        {if $error_name}
                            <span class="speedy_error">{$error_name}</span>
                        {/if}
                    </td>
                </tr>
                <tr>
                    <td><span class="speedy_required"></span> <label for="speedy_telephone">{l s='Телефон:' mod='speedy'}</label></td>
                    <td>
                        <input type="text" id="speedy_telephone" name="speedy_telephone" value="{$speedy_telephone}" />
                        {if $error_telephone}
                            <span class="speedy_error">{$error_telephone}</span>
                        {/if}
                    </td>
                </tr>
                <tr>
                    <td><label for="speedy_workingtime_end_hour">{l s='Край на работното време:' mod='speedy'}</label></td>
                    <td>
                        <select id="speedy_workingtime_end_hour" name="speedy_workingtime_end_hour">
                            {for $i=0 to 23 step 1}
                                {$hour = $i|str_pad:2:"0":$smarty.const.STR_PAD_LEFT}
                                {if $hour == $speedy_workingtime_end_hour}
                                    <option value="{$hour}" selected="selected">{$hour}</option>
                                {else}
                                    <option value="{$hour}">{$hour}</option>
                                {/if}
                            {/for}
                        </select>
                        <select id="speedy_workingtime_end_min" name="speedy_workingtime_end_min">
                            {for $i=0 to 59 step 1}
                                {$hour = $i|str_pad:2:"0":$smarty.const.STR_PAD_LEFT}
                                {if $hour == $speedy_workingtime_end_min}
                                    <option value="{$hour}" selected="selected">{$hour}</option>
                                {else}
                                    <option value="{$hour}">{$hour}</option>
                                {/if}
                            {/for}
                        </select>
                    </td>
                </tr>
                <tr>
                    <td><span class="speedy_required"></span> <label>{l s='Позволени методи:' mod='speedy'}</label></td>
                    <td>
                        <div class="scrollbox" id="speedy_allowed_methods">
                            {$class = 'odd'}
                            {foreach $services as $service_id => $service}
                                {if $class == 'even'} 
                                    {$class = 'odd'}
                                {else}
                                    {$class = 'even'}
                                {/if}
                                <div class="{$class}">
                                    {if in_array($service_id, $speedy_allowed_methods)}
                                        <input type="checkbox" name="speedy_allowed_methods[]" id="speedy_allowed_methods_{$class}_{$service_id}" value="{$service_id}" checked="checked" />
                                        <label for="speedy_allowed_methods_{$class}_{$service_id}">{$service} <i>({l s='Куриерска Услуга ID:' mod='speedy'} {$service_id})</i></label>
                                    {else}
                                        <input type="checkbox" name="speedy_allowed_methods[]" id="speedy_allowed_methods_{$class}_{$service_id}" value="{$service_id}" />
                                        <label for="speedy_allowed_methods_{$class}_{$service_id}">{$service} <i>({l s='Куриерска Услуга ID:' mod='speedy'} {$service_id})</i></label>
                                    {/if}
                                </div>
                            {/foreach}
                        </div>
                        <div class="services_buttons" style="{if !$services}display: none;{/if}">
                            <a class="button speedy_button" onclick="$(this).parent().parent().find(':checkbox').attr('checked', true);">{l s='Маркирайте всички' mod='speedy'}</a> / <a class="button speedy_button" onclick="$(this).parent().parent().find(':checkbox').attr('checked', false);">{l s='Размаркирайте всички' mod='speedy'}</a>
                        </div>
                        {if !$services}
                            <a id="generate_services_button" class="button speedy_button" onclick="getAllowedMethods();">{l s='Генерирай методите' mod='speedy'}</a>
                        {/if}
                        {if $error_allowed_methods}
                            <span class="speedy_error">{$error_allowed_methods}</span>
                        {/if}
                    </td>
                </tr>
                <tr>
                    <td><span class="speedy_required"></span> <label for="speedy_client_id">{l s='Обект, от който тръгват пратките:' mod='speedy'}</label></td>
                    <td>
                        <select id="speedy_client_id" name="speedy_client_id">
                            {if count($clients) > 1}
                                <option value="0">{l s='Без опция' mod='speedy'}</option>
                            {/if}
                            {foreach $clients as $client}
                                {if $client.clientId == $speedy_client_id}
                                    <option value="{$client.clientId}" selected="selected">{l s='ID: %1$s, Име: %2$s, Адрес: %3$s'|sprintf:$client.clientId:$client.name:$client.address mod='speedy'}</option>
                                {else}
                                    <option value="{$client.clientId}">{l s='ID: %1$s, Име: %2$s, Адрес: %3$s'|sprintf:$client.clientId:$client.name:$client.address mod='speedy'}</option>
                                {/if}
                            {/foreach}
                        </select>
                        {if $error_speedy_client_id}
                            <span class="speedy_error">{$error_speedy_client_id}</span>
                        {/if}
                    </td>
                </tr>
                <tr class="dark-gray start-group">
                    <td><label for="speedy_pricing">{l s='Образуване на цена за доставка:' mod='speedy'}</label></td>
                    <td>
                        <select id="speedy_pricing" name="speedy_pricing" onchange="changePricing();">
                            {foreach $pricings as $pricing_id => $pricing}
                                {if $pricing_id == $speedy_pricing}
                                    <option value="{$pricing_id}" selected="selected">{$pricing}</option>
                                {else}
                                    <option value="{$pricing_id}">{$pricing}</option>
                                {/if}
                            {/foreach}
                        </select>
                    </td>
                </tr>
                <tr {if $speedy_pricing != 'table_rate'}style="display: none;"{/if} class="dark-gray">
                    <td><label for="speedy_pricing">{l s='Цена от файл:' mod='speedy'}</label></td>
                    <td>
                        <input type="file" name="speedy_table_rate_file" id="speedy_table_rate_filename">
                    </td>
                </tr>
                <tr {if $speedy_pricing != 'fixed' && $speedy_pricing != 'calculator_fixed'}style="display: none;"{/if} class="dark-gray">
                    <td><label for="speedy_fixed_price">{l s='Фиксирана цена за доставка / Надбавка за обработка:' mod='speedy'}</label></td>
                    <td><input type="text" id="speedy_fixed_price" name="speedy_fixed_price" value="{$speedy_fixed_price}" /></td>
                </tr>
                <tr {if $speedy_pricing != 'free'}style="display: none;"{/if} class="dark-gray">
                    <td><label for="speedy_free_shipping_total">{l s='Праг на стойност на поръчката за безплатна доставка:' mod='speedy'}</label></td>
                    <td><input type="text" id="speedy_free_shipping_total" name="speedy_free_shipping_total" value="{$speedy_free_shipping_total}" /></td>
                </tr>
                <tr {if $speedy_pricing != 'free'}style="display: none;"{/if} class="dark-gray">
                    <td><label for="speedy_free_method_city">{l s='Безплатна градска услуга:' mod='speedy'}</label></td>
                    <td>
                        <select id="speedy_free_method_city" name="speedy_free_method_city">
                            {foreach $services as $service_id => $service}
                                {if $service_id == $speedy_free_method_city}
                                    <option value="{$service_id}" selected="selected">{$service}</option>
                                {else}
                                    <option value="{$service_id}">{$service}</option>
                                {/if}
                            {/foreach}
                        </select>
                    </td>
                </tr>
                <tr {if $speedy_pricing != 'free'}style="display: none;"{/if} class="dark-gray">
                    <td><label for="speedy_free_method_intercity">{l s='Безплатна междуградска услуга:' mod='speedy'}</label></td>
                    <td>
                        <select id="speedy_free_method_intercity" name="speedy_free_method_intercity">
                            {foreach $services as $service_id => $service}
                                {if $service_id == $speedy_free_method_intercity}
                                    <option value="{$service_id}" selected="selected">{$service}</option>
                                {else}
                                    <option value="{$service_id}">{$service}</option>
                                {/if}
                            {/foreach}
                        </select>
                    </td>
                </tr>
                <tr {if $speedy_pricing != 'free'}style="display: none;"{/if} class="dark-gray">
                    <td><label>{l s='Безплатни международни услуга:' mod='speedy'}</label></td>
                    <td>
                        <div class="scrollbox" id="speedy_free_method_international">
                            {$class = 'odd'}
                            {foreach $services as $service_id => $service}
                                {if $class == 'even'} 
                                    {$class = 'odd'}
                                {else}
                                    {$class = 'even'}
                                {/if}
                                <div class="{$class}">
                                    {if in_array($service_id, $speedy_free_method_international)}
                                        <input type="checkbox" name="speedy_free_method_international[]" id="speedy_free_method_international_{$class}_{$service_id}" value="{$service_id}" checked="checked" />
                                        <label for="speedy_free_method_international_{$class}_{$service_id}">{$service} <i>({l s='Куриерска Услуга ID:' mod='speedy'} {$service_id})</i></label>
                                    {else}
                                        <input type="checkbox" name="speedy_free_method_international[]" id="speedy_free_method_international_{$class}_{$service_id}" value="{$service_id}" />
                                        <label for="speedy_free_method_international_{$class}_{$service_id}">{$service} <i>({l s='Куриерска Услуга ID:' mod='speedy'} {$service_id})</i></label>
                                    {/if}
                                </div>
                            {/foreach}
                        </div>
                        <div class="services_buttons" style="{if !$services}display: none;{/if}">
                            <a class="button speedy_button" onclick="$(this).parent().parent().find(':checkbox').attr('checked', true);">{l s='Маркирайте всички' mod='speedy'}</a> / <a class="button speedy_button" onclick="$(this).parent().parent().find(':checkbox').attr('checked', false);">{l s='Размаркирайте всички' mod='speedy'}</a>
                        </div>
                        {if $error_free_method_international}
                            <span class="speedy_error">{$error_free_method_international}</span>
                        {/if}
                    </td>
                </tr>
                <tr>
                    <td><label for="speedy_back_documents">{l s='Заявка за обратни документи:' mod='speedy'}</label></td>
                    <td>
                        <select id="speedy_back_documents" name="speedy_back_documents">
                            {if $speedy_back_documents}
                                <option value="1" selected="selected">{l s='Да' mod='speedy'}</option>
                                <option value="0">{l s='Не' mod='speedy'}</option>
                            {else}
                                <option value="1">{l s='Да' mod='speedy'}</option>
                                <option value="0" selected="selected">{l s='Не' mod='speedy'}</option>
                            {/if}
                        </select>
                    </td>
                </tr>
                <tr>
                    <td><label for="speedy_back_receipt">{l s='Заявка за обратна разписка:' mod='speedy'}</label></td>
                    <td>
                        <select id="speedy_back_receipt" name="speedy_back_receipt">
                            {if $speedy_back_receipt}
                                <option value="1" selected="selected">{l s='Да' mod='speedy'}</option>
                                <option value="0">{l s='Не' mod='speedy'}</option>
                            {else}
                                <option value="1">{l s='Да' mod='speedy'}</option>
                                <option value="0" selected="selected">{l s='Не' mod='speedy'}</option>
                            {/if}
                        </select>
                    </td>
                </tr>
                <tr>
                    <td><span class="speedy_required"></span> <label for="speedy_default_weight">{l s='Тегло по подразбиране за един брой:' mod='speedy'}</label></td>
                    <td>
                        <input type="text" id="speedy_default_weight" name="speedy_default_weight" value="{$speedy_default_weight}" />
                        {if $error_default_weight}
                            <span class="speedy_error">{$error_default_weight}</span>
                        {/if}
                    </td>
                </tr>
                <tr>
                    <td><span class="speedy_required"></span> <label for="speedy_packing">{l s='Опаковка:' mod='speedy'}</label></td>
                    <td>
                        <input type="text" id="speedy_packing" name="speedy_packing" value="{$speedy_packing}" />
                        {if $error_speedy_packing}
                            <span class="speedy_error">{$error_speedy_packing}</span>
                        {/if}
                    </td>
                </tr>
                {if $available_money_transfer}
                    <tr>
                        <td><label for="speedy_money_transfer">{l s='Паричен превод (вместо наложен платеж):' mod='speedy'}<br/><span class="help">{l s='Използвай Пощенски Паричен Превод вместо Наложен платеж при създаване на товарителница.' mod='speedy'}</span></label></td>
                        <td>
                            <select id="speedy_money_transfer" name="speedy_money_transfer">
                                {if $speedy_money_transfer}
                                    <option value="1" selected="selected">{l s='Да' mod='speedy'}</option>
                                    <option value="0">{l s='Не' mod='speedy'}</option>
                                {else}
                                    <option value="1">{l s='Да' mod='speedy'}</option>
                                    <option value="0" selected="selected">{l s='Не' mod='speedy'}</option>
                                {/if}
                            </select>
                        </td>
                    </tr>
                {/if}
                <tr class="dark-gray start-group">
                    <td><label for="speedy_option_before_payment">{l s='Опции преди плащане:' mod='speedy'}</label></td>
                    <td>
                        <select id="speedy_option_before_payment" name="speedy_option_before_payment">
                            {foreach $options_before_payment as $option_before_payment_id => $option_before_payment}
                                {if $option_before_payment_id == $speedy_option_before_payment}
                                    <option value="{$option_before_payment_id}" selected="selected">{$option_before_payment}</option>
                                {else}
                                    <option value="{$option_before_payment_id}">{$option_before_payment}</option>
                                {/if}
                            {/foreach}
                        </select>
                    </td>
                </tr>
                <tr {if $speedy_option_before_payment == 'no_option'} style="display:none;" {/if} class="dark-gray">
                    <td><label for="speedy_return_payer_type">{l s='Платец на куриерска услуга на товарителница за връщане:' mod='speedy'}</label></td>
                    <td>
                        <select id="speedy_return_payer_type" name="speedy_return_payer_type">
                            {foreach $return_payers as $return_payer_id => $return_payer_value}
                                {if $return_payer_id == $speedy_return_payer_type}
                                    <option value="{$return_payer_id}" selected="selected">{$return_payer_value}</option>
                                {else}
                                    <option value="{$return_payer_id}">{$return_payer_value}</option>
                                {/if}
                            {/foreach}
                        </select>
                    </td>
                </tr>
                <tr {if $speedy_option_before_payment == 'no_option'} style="display:none;" {/if} class="dark-gray">
                    <td><label for="speedy_return_package_city_service_id">{l s='Градска услуга на товарителница за връщане:' mod='speedy'}</label></td>
                    <td>
                        <select id="speedy_return_package_city_service_id" name="speedy_return_package_city_service_id">
                            {foreach $services as $service_id => $service}
                                {if $service_id == $speedy_return_package_city_service_id}
                                    <option value="{$service_id}" selected="selected">{$service}</option>
                                {else}
                                    <option value="{$service_id}">{$service}</option>
                                {/if}
                            {/foreach}
                        </select>
                    </td>
                </tr>
                <tr {if $speedy_option_before_payment == 'no_option'} style="display:none;" {/if} class="dark-gray">
                    <td><label for="speedy_return_package_intercity_service_id">{l s='Междуградска услуга на товарителница за връщане:' mod='speedy'}</label></td>
                    <td>
                        <select id="speedy_return_package_intercity_service_id" name="speedy_return_package_intercity_service_id">
                            {foreach $services as $service_id => $service}
                                {if $service_id == $speedy_return_package_intercity_service_id}
                                    <option value="{$service_id}" selected="selected">{$service}</option>
                                {else}
                                    <option value="{$service_id}">{$service}</option>
                                {/if}
                            {/foreach}
                        </select>
                    </td>
                </tr>
                <tr class="dark-gray start-group">
                    <td><label for="speedy_return_voucher">{l s='Ваучер за връщане:' mod='speedy'}</label></td>
                    <td>
                        <select id="speedy_return_voucher" name="speedy_return_voucher" onchange="
                                $('#speedy_return_voucher_city_service_id').parent().parent().toggle(); $('#speedy_return_voucher_intercity_service_id').parent().parent().toggle(); $('#speedy_return_voucher_payer_type').parent().parent().toggle();">
                            {if $speedy_return_voucher}
                                <option value="1" selected="selected">{l s='Да' mod='speedy'}</option>
                                <option value="0">{l s='Не' mod='speedy'}</option>
                            {else}
                                <option value="1">{l s='Да' mod='speedy'}</option>
                                <option value="0" selected="selected">{l s='Не' mod='speedy'}</option>
                            {/if}
                        </select>
                    </td>
                </tr>
                <tr {if !$speedy_return_voucher}style="display: none;"{/if} class="dark-gray">
                    <td><label for="speedy_return_voucher_payer_type">{l s='Платец на куриерска услуга по товарителница за връщане:' mod='speedy'}</label></td>
                    <td>
                        <select id="speedy_return_voucher_payer_type" name="speedy_return_voucher_payer_type">
                            {foreach $payer_types as $payer_type_id => $payer_type}
                                {if $payer_type_id == $speedy_return_voucher_payer_type}
                                    <option value="{$payer_type_id}" selected="selected">{$payer_type}</option>
                                {else}
                                    <option value="{$payer_type_id}">{$payer_type}</option>
                                {/if}
                            {/foreach}
                        </select>
                    </td>
                </tr>
                <tr {if !$speedy_return_voucher}style="display: none;"{/if} class="dark-gray">
                    <td><label for="speedy_return_voucher_city_service_id">{l s='Градска услуга на товарителница за връщане:' mod='speedy'}</label></td>
                    <td>
                        <select id="speedy_return_voucher_city_service_id" name="speedy_return_voucher_city_service_id">
                            {foreach $services as $service_id => $service}
                                {if $service_id == $speedy_return_voucher_city_service_id}
                                    <option value="{$service_id}" selected="selected">{$service}</option>
                                {else}
                                    <option value="{$service_id}">{$service}</option>
                                {/if}
                            {/foreach}
                        </select>
                    </td>
                </tr>
                <tr {if !$speedy_return_voucher}style="display: none;"{/if} class="dark-gray">
                    <td><label for="speedy_return_voucher_intercity_service_id">{l s='Междуградска услуга на товарителница за връщане:' mod='speedy'}</label></td>
                    <td>
                        <select id="speedy_return_voucher_intercity_service_id" name="speedy_return_voucher_intercity_service_id">
                            {foreach $services as $service_id => $service}
                                {if $service_id == $speedy_return_voucher_intercity_service_id}
                                    <option value="{$service_id}" selected="selected">{$service}</option>
                                {else}
                                    <option value="{$service_id}">{$service}</option>
                                {/if}
                            {/foreach}
                        </select>
                    </td>
                </tr>
                <tr>
                    <td><label for="speedy_label_printer">{l s='Принтер за етикети:' mod='speedy'}</label></td>
                    <td>
                        <select id="speedy_label_printer" name="speedy_label_printer">
                            {if $speedy_label_printer}
                                <option value="1" selected="selected">{l s='Да' mod='speedy'}</option>
                                <option value="0">{l s='Не' mod='speedy'}</option>
                            {else}
                                <option value="1">{l s='Да' mod='speedy'}</option>
                                <option value="0" selected="selected">{l s='Не' mod='speedy'}</option>
                            {/if}
                        </select>
                    </td>
                </tr>
                <tr>
                    <td><label for="speedy_additional_copy_for_sender">{l s='Допълнително хартиено копие на товарителниците:' mod='speedy'}</label></td>
                    <td>
                        <select id="speedy_additional_copy_for_sender" name="speedy_additional_copy_for_sender">
                            {if $speedy_additional_copy_for_sender}
                                <option value="1" selected="selected">{l s='Да' mod='speedy'}</option>
                                <option value="0">{l s='Не' mod='speedy'}</option>
                            {else}
                                <option value="1">{l s='Да' mod='speedy'}</option>
                                <option value="0" selected="selected">{l s='Не' mod='speedy'}</option>
                            {/if}
                        </select>
                    </td>
                </tr>
                <tr class="dark-gray start-group">
                    <td><label for="speedy_insurance">{l s='Добавете oбявена стойност:' mod='speedy'}</label></td>
                    <td>
                        <select id="speedy_insurance" name="speedy_insurance" onchange="$('#speedy_fragile').parent().parent().toggle();">
                            {if $speedy_insurance}
                                <option value="1" selected="selected">{l s='Да' mod='speedy'}</option>
                                <option value="0">{l s='Не' mod='speedy'}</option>
                            {else}
                                <option value="1">{l s='Да' mod='speedy'}</option>
                                <option value="0" selected="selected">{l s='Не' mod='speedy'}</option>
                            {/if}
                        </select>
                    </td>
                </tr>
                <tr {if !$speedy_insurance}style="display: none;"{/if} class="dark-gray">
                    <td><label for="speedy_fragile">{l s='Чупливи стоки:' mod='speedy'}<br/><span class="help">{l s='Може да бъде избрано, само ако е избрана и oбявена стойност.' mod='speedy'}</span></label></td>
                    <td>
                        <select id="speedy_fragile" name="speedy_fragile">
                            {if $speedy_fragile}
                                <option value="1" selected="selected">{l s='Да' mod='speedy'}</option>
                                <option value="0">{l s='Не' mod='speedy'}</option>
                            {else}
                                <option value="1">{l s='Да' mod='speedy'}</option>
                                <option value="0" selected="selected">{l s='Не' mod='speedy'}</option>
                            {/if}
                        </select>
                    </td>
                </tr>
                <tr class="dark-gray start-group">
                    <td><label for="speedy_from_office">{l s='Изпратете от офис:' mod='speedy'}<br/><span class="help">{l s='Изберете "Да", ако Вие ще доставите пратката до офис на Спиди и така да получите отстъпка от цената за доставката.' mod='speedy'}</span></label></td>
                    <td>
                        <select id="speedy_from_office" name="speedy_from_office" onchange="getOffices();
                                $('#speedy_office_id').parent().parent().toggle();">
                            {if $speedy_from_office}
                                <option value="1" selected="selected">{l s='Да' mod='speedy'}</option>
                                <option value="0">{l s='Не' mod='speedy'}</option>
                            {else}
                                <option value="1">{l s='Да' mod='speedy'}</option>
                                <option value="0" selected="selected">{l s='Не' mod='speedy'}</option>
                            {/if}
                        </select>
                    </td>
                </tr>
                <tr {if !$speedy_from_office}style="display: none;"{/if} class="dark-gray">
                    <td><label for="speedy_office_id">{l s='Изберете офис:' mod='speedy'}</label></td>
                    <td>
                        <select id="speedy_office_id" name="speedy_office_id" style="width: 350px;">
                            {foreach $offices as $office}
                                {if $office.id == $speedy_office_id}
                                    <option value="{$office.id}" selected="selected">{$office.label}</option>
                                {else}
                                    <option value="{$office.id}">{$office.label}</option>
                                {/if}
                            {/foreach}
                        </select>
                    </td>
                </tr>
                <tr>
                    <td><label for="speedy_documents">{l s='Съдържа документи:' mod='speedy'}<br/><span class="help">{l s='Документална пратка' mod='speedy'}</span></label></td>
                    <td>
                        <select id="speedy_documents" name="speedy_documents">
                            {if $speedy_documents}
                                <option value="1" selected="selected">{l s='Да' mod='speedy'}</option>
                                <option value="0">{l s='Не' mod='speedy'}</option>
                            {else}
                                <option value="1">{l s='Да' mod='speedy'}</option>
                                <option value="0" selected="selected">{l s='Не' mod='speedy'}</option>
                            {/if}
                        </select>
                    </td>
                </tr>
                <tr>
                    <td><label for="speedy_fixed_time">{l s='Фиксиран час на доставка:' mod='speedy'}<br/><span class="help">{l s='Показване на опция за избор на фиксиран час на доставка за услугите, които го позволяват.' mod='speedy'}</span></label></td>
                    <td>
                        <select id="speedy_fixed_time" name="speedy_fixed_time">
                            {if $speedy_fixed_time}
                                <option value="1" selected="selected">{l s='Да' mod='speedy'}</option>
                                <option value="0">{l s='Не' mod='speedy'}</option>
                            {else}
                                <option value="1">{l s='Да' mod='speedy'}</option>
                                <option value="0" selected="selected">{l s='Не' mod='speedy'}</option>
                            {/if}
                        </select>
                    </td>
                </tr>
                <tr>
                    <td><label for="speedy_invoice_courier_sevice_as_text">{l s='Цената за доставка участва във фактурата:' mod='speedy'}<br/><span class="help">{l s='Настройка, която определя дали куриерска услуга за сметка на получателя се добавя като стойност в стоковата разписка (фактура) или се визуализира със стойност в името на артикула и нулева цена.' mod='speedy'}</span></label></td>
                    <td>
                        <select id="speedy_invoice_courier_sevice_as_text" name="speedy_invoice_courier_sevice_as_text">
                            {if $speedy_invoice_courier_sevice_as_text}
                                <option value="1" selected="selected">{l s='Да' mod='speedy'}</option>
                                <option value="0">{l s='Не' mod='speedy'}</option>
                            {else}
                                <option value="1">{l s='Да' mod='speedy'}</option>
                                <option value="0" selected="selected">{l s='Не' mod='speedy'}</option>
                            {/if}
                        </select>
                    </td>
                </tr>
                <tr>
                    <td><label for="speedy_taking_date">{l s='Брой дни за отместване на датата за изпращане:' mod='speedy'}</label></td>
                    <td>
                        <input type="text" id="speedy_taking_date" name="speedy_taking_date" value="{$speedy_taking_date}" />
                        {if $error_taking_date}
                            <span class="speedy_error">{$error_taking_date}</span>
                        {/if}
                    </td>
                </tr>
                <tr>
                    <td><label for="speedy_order_status_id">{l s='Статус на поръчката след генериране на товарителница:' mod='speedy'}</label></td>
                    <td>
                        <select id="speedy_order_status_id" name="speedy_order_status_id">
                            {foreach $order_statuses as $order_status}
                                {if !$speedy_order_status_id}
                                
                                    {if $order_status.id_order_state == 4}
                                        <option value="{$order_status.id_order_state}" selected="selected">{$order_status.name}</option>
                                    {/if}
                                {/if}
                                {if $order_status.id_order_state == $speedy_order_status_id}
                                    <option value="{$order_status.id_order_state}" selected="selected">{$order_status.name}</option>
                                {else}
                                    <option value="{$order_status.id_order_state}">{$order_status.name}</option>
                                {/if}
                            {/foreach}
                        </select>
                    </td>
                </tr>
                <tr>
                    <td><label for="speedy_geo_zone_id">{l s='Гео зона:' mod='speedy'}</label></td>
                    <td>
                        <select id="speedy_geo_zone_id" name="speedy_geo_zone_id">
                            <option value="0">{l s='Всички зони' mod='speedy'}</option>
                            {foreach $geo_zones as $geo_zone}
                                {if $geo_zone.id_zone == $speedy_geo_zone_id}
                                    <option value="{$geo_zone.id_zone}" selected="selected">{$geo_zone.name}</option>
                                {else}
                                    <option value="{$geo_zone.id_zone}">{$geo_zone.name}</option>
                                {/if}
                            {/foreach}
                        </select>
                    </td>
                </tr>
                <tr>
                    <td><label for="weight_dimensions">{l s='СПИДИ ПОЩА - Конвертиране на тегло към размер:' mod='speedy'}</label></td>
                    <td>
                        <table id="weight_dimensions" class="table">
                            <thead>
                                <tr>
                                    <td></td>
                                    <td align="center" colspan="5"><center>{l s='Размер на опаковката в см.' mod='speedy'}</center></td>
                                    <td></td>
                                </tr>
                                <tr>
                                    <td><center>{l s='Тегло на пратката' mod='speedy'}</center></td>
                                    <td><center>{l s='XS (50 x 35 x 4,5)' mod='speedy'}</center></td>
                                    <td><center>{l s='S (60 x 35 x 11)' mod='speedy'}</center></td>
                                    <td><center>{l s='M (60 x 35 x 19)' mod='speedy'}</center></td>
                                    <td><center>{l s='L (60 x 35 x 37)' mod='speedy'}</center></td>
                                    <td><center>{l s='XL (60 x 60 x 60)' mod='speedy'}</center></td>
                                    <td></td>
                                </tr>
                            </thead>
                            <tbody>
                            {if !empty($weight_dimensions)}
                            {foreach $weight_dimensions as $key => $dimention}
                                <tr data-row="{$key}">
                                    <td class="text-center">
                                        <input type="text" name="weight_dimensions[{$key}][WEIGHT]" value="{$dimention['WEIGHT']}">
                                    </td>
                                    <td class="text-center">
                                        <input type="text" name="weight_dimensions[{$key}][XS]" value="{$dimention['XS']}">
                                    </td>
                                    <td class="text-center">
                                        <input type="text" name="weight_dimensions[{$key}][S]" value="{$dimention['S']}">
                                    </td>
                                    <td class="text-center">
                                        <input type="text" name="weight_dimensions[{$key}][M]" value="{$dimention['M']}">
                                    </td>
                                    <td class="text-center">
                                        <input type="text" name="weight_dimensions[{$key}][L]" value="{$dimention['L']}">
                                    </td>
                                    <td class="text-center">
                                        <input type="text" name="weight_dimensions[{$key}][XL]" value="{$dimention['XL']}">
                                    </td>
                                    <td class="text-center">
                                        <div class="toolbar_btn pointer" onclick="removeSpeedyWeightDimension({$key});"><i class="process-icon-cancel"></i></div>
                                    </td>
                                </tr>
                            {/foreach}
                            {else}
                                <tr data-row="0">
                                    <td>
                                        <input type="text" name="weight_dimensions[0][WEIGHT]">
                                    </td>
                                    <td>
                                        <input type="text" name="weight_dimensions[0][XS]">
                                    </td>
                                    <td>
                                        <input type="text" name="weight_dimensions[0][S]">
                                    </td>
                                    <td>
                                        <input type="text" name="weight_dimensions[0][M]">
                                    </td>
                                    <td>
                                        <input type="text" name="weight_dimensions[0][L]">
                                    </td>
                                    <td>
                                        <input type="text" name="weight_dimensions[0][XL]">
                                    </td>
                                    <td>
                                        <div class="toolbar_btn pointer" onclick="removeSpeedyWeightDimension(0);"><i class="process-icon-cancel"></i></div>
                                    </td>
                                </tr>
                            {/if}
                            </tbody>
                            <tfoot>
                            <tr>
                                <td colspan="6"></td>
                                <td class="text-right">
                                    <div class="toolbar_btn pointer" onclick="addSpeedyWeightDimension();"><i class="process-icon-new"></i></div>
                                </td>
                            </tr>
                            </tfoot>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td><label for="speedy_min_package_dimention">{l s='СПИДИ ПОЩА - Минимален транспортен размер за цяла пратка:' mod='speedy'}</label></td>
                    <td>
                        <select id="speedy_min_package_dimention" name="speedy_min_package_dimention">
                            {foreach $package_dimentions as $id => $dimention}
                                {if $id == $speedy_min_package_dimention}
                                    <option value="{$id}" selected="selected">{$dimention}</option>
                                {else}
                                    <option value="{$id}">{$dimention}</option>
                                {/if}
                            {/foreach}
                        </select>
                    </td>
                </tr>
                <tr>
                    <td><label for="speedy_convertion_to_win1251">{l s='Автоматично транслитериране:' mod='speedy'}</label></td>
                    <td>
                        <select id="speedy_convertion_to_win1251" name="speedy_convertion_to_win1251">
                            {if $speedy_convertion_to_win1251}
                                <option value="1" selected="selected">{l s='Да' mod='speedy'}</option>
                                <option value="0">{l s='Не' mod='speedy'}</option>
                            {else}
                                <option value="1">{l s='Да' mod='speedy'}</option>
                                <option value="0" selected="selected">{l s='Не' mod='speedy'}</option>
                            {/if}
                        </select>
                    </td>
                </tr>
                <tr>
                    <td><label for="speedy_status">{l s='Статус:' mod='speedy'}</label></td>
                    <td>
                        <select id="speedy_status" name="speedy_status">
                            {if $speedy_status}
                                <option value="1" selected="selected">{l s='Включено' mod='speedy'}</option>
                                <option value="0">{l s='Изключено' mod='speedy'}</option>
                            {else}
                                <option value="1">{l s='Включено' mod='speedy'}</option>
                                <option value="0" selected="selected">{l s='Изключено' mod='speedy'}</option>
                            {/if}
                        </select>
                    </td>
                </tr>
            </table>
            <input type="hidden" value="1" name="form_submitted" />
        </form>
    </fieldset>

    <br />
    <br />

    <fieldset>
        <div class="buttons"><a onclick="$('#form :input').removeAttr('disabled');
                $('#form').submit();" class="button"><span>{l s='Запиши' mod='speedy'}</span></a></div>
    </fieldset>
    <script type="text/javascript"><!--
    function addSpeedyWeightDimension() {
      var next_row = 0;

      if(typeof $('#weight_dimensions tbody tr:last').attr('data-row') != 'undefined') {
        next_row = parseInt($('#weight_dimensions tbody tr:last').attr('data-row')) + 1;
      }

      var html = '';
      html  = '<tr data-row="' + next_row + '">';
      html +=   '<td>';
      html +=     '<input type="text" name="weight_dimensions[' + next_row + '][WEIGHT]">';
      html +=   '</td>';
      html +=   '<td>';
      html +=     '<input type="text" name="weight_dimensions[' + next_row + '][XS]">';
      html +=   '</td>';
      html +=   '<td>';
      html +=     '<input type="text" name="weight_dimensions[' + next_row + '][S]">';
      html +=   '</td>';
      html +=   '<td>';
      html +=     '<input type="text" name="weight_dimensions[' + next_row + '][M]">';
      html +=   '</td>';
      html +=   '<td>';
      html +=     '<input type="text" name="weight_dimensions[' + next_row + '][L]">';
      html +=   '</td>';
      html +=   '<td>';
      html +=     '<input type="text" name="weight_dimensions[' + next_row + '][XL]">';
      html +=   '</td>';
      html +=   '<td>';
      html +=     '<div class="toolbar_btn pointer" onclick="removeSpeedyWeightDimension(' + next_row + ');"><i class="process-icon-cancel"></i></div>';
      html +=   '</td>';
      html += '</tr>';

      $('#weight_dimensions tbody').append(html);
    }

    function removeSpeedyWeightDimension(row) {
      $('#weight_dimensions tr[data-row=' + row + ']').remove();
    }
    //--></script>
    <script type="text/javascript"><!--
        var errorNoPasswordMsg = "{l s='Моля, въведете парола' mod='speedy'}"
        var errorNoUsernameMsg = "{l s='Моля, въведете потребителско име' mod='speedy'}";

        var wrongCredentialsMsg = "{l s='Невалидни потребителското име и/или парола' mod='speedy'}";
        var correctCredentialsMsg = "{l s='Потребителското име и парола са коректни' mod='speedy'}";
        {literal}

            function checkSpeedyCredentials() {
                var speedyUsername = document.getElementById("speedy_username").value;
                var speedyPassword = document.getElementById("speedy_password").value;



                if (!speedyUsername) {

                    alert(errorNoUsernameMsg);
                } else if (!speedyPassword) {
                    alert(errorNoPasswordMsg);
                }
                else {
                    $.ajax({
                        url: 'index.php?controller=AdminModules&configure=speedy&token={/literal}{$token}{literal}&tab_module=shipping_logistics&module_name=speedy&ajax_function=speedy_check_credentials',
                        type: 'POST',
                        data: {username: speedyUsername, password: speedyPassword},
                        dataType: 'json',
                        success: function(data) {

                            if (data && data.error) {
                                alert(wrongCredentialsMsg);
                            } else if (data && data.ok) {
                                alert(correctCredentialsMsg);
                            }
                        }
                    });
                }

            }



        {/literal}


        {literal}
            function changePricing() {
                pricing = $('#speedy_pricing').val();

                if (pricing == 'free') {
                    $('#speedy_fixed_price').parent().parent().hide();
                    $('#speedy_free_shipping_total').parent().parent().show();
                    $('#speedy_free_method_city').parent().parent().show();
                    $('#speedy_free_method_intercity').parent().parent().show();
                    $('#speedy_free_method_international').parent().parent().show();
                    $('#speedy_table_rate_filename').parent().parent().hide();
                } else if (pricing == 'fixed' || pricing == 'calculator_fixed') {
                    $('#speedy_fixed_price').parent().parent().show();
                    $('#speedy_free_shipping_total').parent().parent().hide();
                    $('#speedy_free_method_city').parent().parent().hide();
                    $('#speedy_free_method_intercity').parent().parent().hide();
                    $('#speedy_free_method_international').parent().parent().hide();
                    $('#speedy_table_rate_filename').parent().parent().hide();
                } else if (pricing == 'table_rate') {
                    $('#speedy_fixed_price').parent().parent().hide();
                    $('#speedy_free_shipping_total').parent().parent().hide();
                    $('#speedy_free_method_city').parent().parent().hide();
                    $('#speedy_free_method_intercity').parent().parent().hide();
                    $('#speedy_free_method_international').parent().parent().hide();
                    $('#speedy_table_rate_filename').parent().parent().show();
                } else {
                    $('#speedy_fixed_price').parent().parent().hide();
                    $('#speedy_free_shipping_total').parent().parent().hide();
                    $('#speedy_free_method_city').parent().parent().hide();
                    $('#speedy_free_method_intercity').parent().parent().hide();
                    $('#speedy_free_method_international').parent().parent().hide();
                    $('#speedy_table_rate_filename').parent().parent().hide();
                }
            }{/literal}
            var error_get_allowed_methods = "{l s='За да вземете методите, моля попълнете Адрес на сървъра, Потребителско име и Парола!' mod='speedy'}";
            var error_get_offices = "{l s='Моля попълнете Адрес на сървъра, Потребителско име и Парола, за да се генерират офисите!' mod='speedy'}";
            {literal}

                function getAllowedMethods() {
                    if ($('input[name=\'speedy_server_address\']').val() == '' || $('input[name=\'speedy_username\']').val() == '' || $('input[name=\'speedy_password\']').val() == '') {
                        alert(error_get_allowed_methods);
                    } else {
                        $.ajax({
                            url: 'index.php?controller=AdminModules&configure=speedy&token={/literal}{$token}{literal}&tab_module=shipping_logistics&module_name=speedy&ajax_function=speedy_get_allowed_methods',
                            type: 'POST',
                            data: 'speedy_server_address=' + $('input[name=\'speedy_server_address\']').val() + '&speedy_username=' + $('input[name=\'speedy_username\']').val() + '&speedy_password=' + $('input[name=\'speedy_password\']').val(),
                            dataType: 'json',
                            success: function(data) {
                                if (data && data.error) {
                                    alert(data.error);
                                } else if (data && data.services) {
                                    html_speedy_allowed_methods = '';
                                    html_speedy_free_method_international = '';
                                    html = '';
                                    html_select = '';
                                    var rclass = 'odd';

                                    for (i = 0; i < data.services.length; i++) {
                                        if (rclass == 'even') {
                                            rclass = 'odd';
                                        } else {
                                            rclass = 'even';
                                        }
                                        html_speedy_allowed_methods += '<div class="' + rclass + '">';
                                        html_speedy_allowed_methods += '  <input type="checkbox" name="speedy_allowed_methods[]" id="' + rclass + '_' + data.services[i]['service_id'] + '" value="' + data.services[i]['service_id'] + '" />';
                                        html_speedy_allowed_methods += '  <label for="' + rclass + '_' + data.services[i]['service_id'] + '">' + data.services[i]['name'] + '</label>';
                                        html_speedy_allowed_methods += '</div>';

                                        html_speedy_free_method_international += '<div class="' + rclass + '">';
                                        html_speedy_free_method_international += '  <input type="checkbox" name="speedy_free_method_international[]" id="' + rclass + '_' + data.services[i]['service_id'] + '" value="' + data.services[i]['service_id'] + '" />';
                                        html_speedy_free_method_international += '  <label for="' + rclass + '_' + data.services[i]['service_id'] + '">' + data.services[i]['name'] + '</label>';
                                        html_speedy_free_method_international += '</div>';

                                        html_select += '<option value="' + data.services[i]['service_id'] + '">' + data.services[i]['name'] + '</option>';
                                    }

                                    $('.services_buttons').show();
                                    $('#generate_services_button').hide();
                                    $('#speedy_allowed_methods').html(html_speedy_allowed_methods);
                                    $('#speedy_free_method_international').html(html_speedy_free_method_international);

                                    $('#speedy_free_method_city').html(html_select);
                                    $('#speedy_free_method_intercity').html(html_select);
                                }
                            }
                        });
                    }
                }

                function getOffices() {
                    if ($('select#speedy_office_id > option').length == 0 && $('select#speedy_from_office').val() == 1 && ($('input[name=\'speedy_server_address\']').val() == '' || $('input[name=\'speedy_username\']').val() == '' || $('input[name=\'speedy_password\']').val() == '')) {
                        alert(error_get_offices);
                        $('select#speedy_from_office').val('0');
                        $('select#speedy_from_office').trigger('change');
                    } else if ($('select#speedy_office_id > option').length == 0 && $('select#speedy_from_office').val() == 1) {
                        $.ajax({
                            url: 'index.php?controller=AdminModules&configure=speedy&token={/literal}{$token}{literal}&tab_module=shipping_logistics&module_name=speedy&ajax_function=speedy_get_offices',
                            type: 'POST',
                            data: 'speedy_server_address=' + $('input[name=\'speedy_server_address\']').val() + '&speedy_username=' + $('input[name=\'speedy_username\']').val() + '&speedy_password=' + $('input[name=\'speedy_password\']').val(),
                            dataType: 'json',
                            success: function(data) {
                                if (data && data.error) {
                                    alert(data.error);
                                } else if (data && data.offices) {
                                    html = '';

                                    for (i = 0; i < data.offices.length; i++) {
                                        html += '<option value="' + data.offices[i]['id'] + '">' + data.offices[i]['label'] + '</option>';
                                    }

                                    $('select#speedy_office_id').html(html);
                                }
                            }
                        });
                    }
                }

            {/literal}
//--></script>
<script type="text/javascript"><!--
$('#speedy_option_before_payment').on('change', function() {
    if($(this).val() == 'no_option') {
        $('#speedy_return_payer_type').parent().parent().hide();
        $('#speedy_return_package_city_service_id').parent().parent().hide();
        $('#speedy_return_package_intercity_service_id').parent().parent().hide();
    } else {
        $('#speedy_return_payer_type').parent().parent().show();
        $('#speedy_return_package_city_service_id').parent().parent().show();
        $('#speedy_return_package_intercity_service_id').parent().parent().show();
    }
});
//--></script>
        {/if}